Subject: The RTGWG WG has placed draft-asechoud-rtgwg-qos-model in state "Candidate for WG Adoption"

From: IETF Secretariat <[email-masked]>
Date: Tue, 18 Jun 2019 18:01:05 -0700

The RTGWG WG has placed draft-asechoud-rtgwg-qos-model in state
Candidate for WG Adoption (entered by Jeff Tantsura)

The document is available at
https://datatracker.ietf.org/doc/draft-asechoud-rtgwg-qos-model/

---

From: tom petch <[email-masked]>
Date: Fri, 21 Jun 2019 16:49:53 +0000

The challenge I have in reviewing this I-D is the lack of references in
the YANG modules for the objects and actions defined therein.  I like to
have references since they tell me how much I should expect to
understand, how familiar I should be with the material.

Here we now have references for the YANG import statements (which is
good) but we should also have references for many of the YANG
statements; look for example at
    draft-ietf-pim-igmp-mld-yang-15
for an I-D with a comprehensive list of references in the YANG module.

It may be that here RFC 2697, RFC 2698, RFC3289 are all I need to know
but I would like to be told that before I start looking into the YANG.

Tom Petch

----- Original Message -----
From: "IETF Secretariat" <[email-masked]>
Sent: Wednesday, June 19, 2019 2:01 AM

> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 21 Jun 2019 13:39:46 -0700

Tom,

Thanks for your comments!
Co-authors - please work on these, I’d also expect you to have them incorporated in the version to be presented at IETF105.

Cheers,
Jeff

---

From: "Aseem Choudhary (asechoud)" <[email-masked]>
Date: Fri, 21 Jun 2019 20:42:13 +0000

Hi Tom, Jeff,

We will be working on it before IETF105.

-thanks,
Aseem

From: Jeff Tantsura <[email-masked]>
Date: Friday, June 21, 2019 at 1:40 PM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, tom petch <[email-masked]>
Subject: Re: The RTGWG WG has placed draft-asechoud-rtgwg-qos-model in state "Candidate for WG Adoption"
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Friday, June 21, 2019 at 1:39 PM

Tom,

Cheers,
Jeff

Tom Petch

---

From: tom petch <[email-masked]>
Date: Sun, 23 Jun 2019 12:20:25 +0000

----- Original Message -----
From: "Aseem Choudhary (asechoud)" <[email-masked]>
Sent: Friday, June 21, 2019 9:42 PM
> We will be working on it before IETF105.

That is good.  As I said, what I really would like is reference
statements in the YANG module, but while you are at it, you might
consider

s.1 needs a reference for YANG 1.1 i,e, RFC7950

s.2 is the old boilerplate which lacks RFC8174

RFC8343 needs to be a Normative reference for the I-D

RFC7223 is obsoleted by RFC8343

YANG guidelines says that RFC8340 should be a Informative Reference

When you add the Security boilerplate, you will need some more
references for that, ditto IANA Considerations

Tom Petch

> To: "[email-masked]" <[email-masked]>,
"[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>, tom petch <[email-masked]>
> Resent-To: <[email-masked]>, <[email-masked]>,
<[email-masked]>, <[email-masked]>, <[email-masked]>
> Co-authors - please work on these, I’d also expect you to have them
incorporated in the version to be presented at IETF105.